# AnalysisContextDistribution (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.utility

## Class AnalysisContextDistribution

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.AnalysisContextDistribution

- All Implemented Interfaces:
    AnalysisContextVisualization

      public class AnalysisContextDistribution
      extends java.lang.Object
      implements AnalysisContextVisualization

  The current context.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `attribute` Context information.
    `AttributeType` | `attributeType` Context information.
    `AnalysisContext` | `context` Context information.
    `DataType<?>` | `dataType` Context information.
    `DataHandle` | `handle` Context information.
    `Model` | `model` Context information.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisContextDistribution(AnalysisContext context)` Creates a new context from the given context.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAttributeSelected(java.lang.String attribute)` Is the provided attribute selected according to the config?.
    `boolean` | `isValid()` Is this a valid context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attribute

          public java.lang.String attribute

      Context information.

    - #### dataType

          public DataType<?> dataType

      Context information.

    - #### attributeType

          public AttributeType attributeType

      Context information.

    - #### handle

          public DataHandle handle

      Context information.

    - #### model

          public Model model

      Context information.

    - #### context

          public AnalysisContext context

      Context information.

  - ### Constructor Detail

    - #### AnalysisContextDistribution

          public AnalysisContextDistribution(AnalysisContext context)

      Creates a new context from the given context.
      Parameters:
        `context` -

  - ### Method Detail

    - #### isAttributeSelected

          public boolean isAttributeSelected(java.lang.String attribute)

      Description copied from interface: `AnalysisContextVisualization`
      Is the provided attribute selected according to the config?.
      Specified by:
        `isAttributeSelected` in interface `AnalysisContextVisualization`
      Returns:

    - #### isValid

          public boolean isValid()

      Is this a valid context.
      Specified by:
        `isValid` in interface `AnalysisContextVisualization`
      Returns: